from sqlalchemy import Column, Integer, String, Text

from app.models.base import Base


class Category(Base):
    """
    Category model for grouping inventory items.
    """
    id = Column(Integer, primary_key=True, index=True)
    name = Column(String, unique=True, index=True, nullable=False)
    description = Column(Text, nullable=True)